<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddCaptivePageInfoToCompanyInformationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('company_information', function (Blueprint $table) {
            $table->string('captive_page_title')->nullable();
            $table->text('captive_page_description')->nullable();
            $table->integer('captive_page_technical_phone')->nullable();
            $table->integer('captive_page_whatsapp_phone')->nullable();
            $table->integer('captive_page_port')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('company_information', function (Blueprint $table) {
            $table->dropColumn('captive_page_title');
            $table->dropColumn('captive_page_description');
            $table->dropColumn('captive_page_technical_phone');
            $table->dropColumn('captive_page_whatsapp_phone');
            $table->dropColumn('captive_page_port');
        });
    }
}
